#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef unsigned char uchar;
typedef unsigned short ushort;
typedef unsigned int uint;

int
main(int argc, char *argv[])
{
	FILE *f;
	uchar *buf;
	long buflen;
	int i, cmd;

	if(argc < 2){
		fprintf(stderr, "usage: %s file\n", argv[0]);
		return 1;
	}
	if(f = fopen(argv[1], "rb"), f == NULL){
		fprintf(stderr, "Couldn't open file: %s\n", argv[1]);
		return 1;
	}
	fseek(f, 0, SEEK_END);
	buflen = ftell(f);
	rewind(f);
	buf = malloc(buflen);
	fread(buf, 1, buflen, f);
	fclose(f);

	buf += 0x20800;

	cmd = 0;
	while(buf[1]){
		printf("// %04X:\n{ %d, \"%s\", {", cmd++, buf[0], buf+1);
		for(i = 0; i < 18; i++)
			printf("%s 0x%X", i ? "," : "", buf[0x31+i]);
		printf(" } },\n");
		buf += 0x43;
	}

	return 0;
}
